Bug 1438826 - OpsUI - Automation - Ansible - Repo - On first run before enabling Embedded Ansible the Add Repo page fails.
Summary: OpsUI - Automation - Ansible - Repo - On first run before enabling Embedded A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Zita Nemeckova
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On: 1437191
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-04 13:43 UTC by Satoe Imaishi
Modified: 2017-05-31 14:46 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437191
Environment:
Last Closed: 2017-05-31 14:46:33 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-04 13:48:41 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/5364f9dc11ef3f004750a14b558dbe6cde74e0fb

commit 5364f9dc11ef3f004750a14b558dbe6cde74e0fb
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Apr 4 10:16:57 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 4 09:44:27 2017 -0400

    Merge pull request #891 from ZitaNemeckova/ansible_control
    
    Disable embedded Ansible buttons if no embedded Ansible Provider found
    (cherry picked from commit 0e425110d3eaa99d108bafe801bb580aeb472887)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438826
    https://bugzilla.redhat.com/show_bug.cgi?id=1438827

 .../application_helper/button/embedded_ansible.rb  |  8 ++++++++
 .../toolbar/ansible_credential_center.rb           |  2 ++
 .../toolbar/ansible_credentials_center.rb          |  3 +++
 .../toolbar/ansible_repositories_center.rb         |  3 +++
 .../toolbar/ansible_repository_center.rb           |  2 ++
 .../buttons/embedded_ansible_spec.rb               | 23 ++++++++++++++++++++++
 6 files changed, 41 insertions(+)
 create mode 100644 app/helpers/application_helper/button/embedded_ansible.rb
 create mode 100644 spec/helpers/application_helper/buttons/embedded_ansible_spec.rb

Comment 3 Aziza Karol 2017-04-20 17:08:10 UTC
Add button disabled if Embedded Ansible role is not enabled.

Verified: 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 errata-xmlrpc 2017-05-31 14:46:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.